<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>Ftp (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Ftp (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":9,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Ftp.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/nutch/protocol/ftp/Client.html" title="class in org.apache.nutch.protocol.ftp"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/nutch/protocol/ftp/FtpError.html" title="class in org.apache.nutch.protocol.ftp"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/protocol/ftp/Ftp.html" target="_top">Frames</a></li>
<li><a href="Ftp.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.protocol.ftp</div>
<h2 title="Class Ftp" class="title">Class Ftp</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.protocol.ftp.Ftp</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>, <a href="../../../../../org/apache/nutch/plugin/Pluggable.html" title="interface in org.apache.nutch.plugin">Pluggable</a>, <a href="../../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol">Protocol</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Ftp</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol">Protocol</a></pre>
<div class="block">This class is a protocol plugin used for ftp: scheme. It creates
 <a href="../../../../../org/apache/nutch/protocol/ftp/FtpResponse.html" title="class in org.apache.nutch.protocol.ftp"><code>FtpResponse</code></a> object and gets the content of the url from it.
 Configurable parameters are <code>ftp.username</code>, <code>ftp.password</code>,
 <code>ftp.content.limit</code>, <code>ftp.timeout</code>, <code>ftp.server.timeout</code>,
 <code>ftp.password</code>, <code>ftp.keep.connection</code> and <code>ftp.follow.talk</code>
 . For details see "FTP properties" section in <code>nutch-default.xml</code>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static org.slf4j.Logger</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Ftp.html#LOG">LOG</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.nutch.protocol.Protocol">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.apache.nutch.protocol.<a href="../../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol">Protocol</a></h3>
<code><a href="../../../../../org/apache/nutch/protocol/Protocol.html#X_POINT_ID">X_POINT_ID</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Ftp.html#Ftp--">Ftp</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Ftp.html#finalize--">finalize</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Ftp.html#getBufferSize--">getBufferSize</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Ftp.html#getConf--">getConf</a></span>()</code>
<div class="block">Get the <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><code>Configuration</code></a> object</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">ProtocolOutput</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Ftp.html#getProtocolOutput-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">getProtocolOutput</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                 <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum)</code>
<div class="block">Creates a <a href="../../../../../org/apache/nutch/protocol/ftp/FtpResponse.html" title="class in org.apache.nutch.protocol.ftp"><code>FtpResponse</code></a> object corresponding to the url and returns a
 <a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol"><code>ProtocolOutput</code></a> object as per the content received</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>crawlercommons.robots.BaseRobotRules</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Ftp.html#getRobotRules-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-java.util.List-">getRobotRules</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
             <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
             <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&gt;&nbsp;robotsTxtContent)</code>
<div class="block">Get the robots rules for a given url</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Ftp.html#main-java.lang.String:A-">main</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)</code>
<div class="block">For debugging.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Ftp.html#setConf-org.apache.hadoop.conf.Configuration-">setConf</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</code>
<div class="block">Set the <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><code>Configuration</code></a> object</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Ftp.html#setFollowTalk-boolean-">setFollowTalk</a></span>(boolean&nbsp;followTalk)</code>
<div class="block">Set followTalk</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Ftp.html#setKeepConnection-boolean-">setKeepConnection</a></span>(boolean&nbsp;keepConnection)</code>
<div class="block">Set keepConnection</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Ftp.html#setMaxContentLength-int-">setMaxContentLength</a></span>(int&nbsp;length)</code>
<div class="block">Set the point at which content is truncated.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Ftp.html#setTimeout-int-">setTimeout</a></span>(int&nbsp;to)</code>
<div class="block">Set the timeout.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="LOG">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LOG</h4>
<pre>protected static final&nbsp;org.slf4j.Logger LOG</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Ftp--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Ftp</h4>
<pre>public&nbsp;Ftp()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setTimeout-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTimeout</h4>
<pre>public&nbsp;void&nbsp;setTimeout(int&nbsp;to)</pre>
<div class="block">Set the timeout.</div>
</li>
</ul>
<a name="setMaxContentLength-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxContentLength</h4>
<pre>public&nbsp;void&nbsp;setMaxContentLength(int&nbsp;length)</pre>
<div class="block">Set the point at which content is truncated.</div>
</li>
</ul>
<a name="setFollowTalk-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFollowTalk</h4>
<pre>public&nbsp;void&nbsp;setFollowTalk(boolean&nbsp;followTalk)</pre>
<div class="block">Set followTalk</div>
</li>
</ul>
<a name="setKeepConnection-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setKeepConnection</h4>
<pre>public&nbsp;void&nbsp;setKeepConnection(boolean&nbsp;keepConnection)</pre>
<div class="block">Set keepConnection</div>
</li>
</ul>
<a name="getProtocolOutput-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProtocolOutput</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">ProtocolOutput</a>&nbsp;getProtocolOutput(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                                        <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum)</pre>
<div class="block">Creates a <a href="../../../../../org/apache/nutch/protocol/ftp/FtpResponse.html" title="class in org.apache.nutch.protocol.ftp"><code>FtpResponse</code></a> object corresponding to the url and returns a
 <a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol"><code>ProtocolOutput</code></a> object as per the content received</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/protocol/Protocol.html#getProtocolOutput-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">getProtocolOutput</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol">Protocol</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - Text containing the ftp url</dd>
<dd><code>datum</code> - The CrawlDatum object corresponding to the url</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol"><code>ProtocolOutput</code></a> object for the url</dd>
</dl>
</li>
</ul>
<a name="finalize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>finalize</h4>
<pre>protected&nbsp;void&nbsp;finalize()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="main-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></pre>
<div class="block">For debugging.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></code></dd>
</dl>
</li>
</ul>
<a name="setConf-org.apache.hadoop.conf.Configuration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConf</h4>
<pre>public&nbsp;void&nbsp;setConf(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</pre>
<div class="block">Set the <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><code>Configuration</code></a> object</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true#setConf-org.apache.hadoop.conf.Configuration-" title="class or interface in org.apache.hadoop.conf">setConf</a></code>&nbsp;in interface&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a></code></dd>
</dl>
</li>
</ul>
<a name="getConf--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConf</h4>
<pre>public&nbsp;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;getConf()</pre>
<div class="block">Get the <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><code>Configuration</code></a> object</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true#getConf--" title="class or interface in org.apache.hadoop.conf">getConf</a></code>&nbsp;in interface&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a></code></dd>
</dl>
</li>
</ul>
<a name="getRobotRules-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRobotRules</h4>
<pre>public&nbsp;crawlercommons.robots.BaseRobotRules&nbsp;getRobotRules(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                                                          <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
                                                          <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&gt;&nbsp;robotsTxtContent)</pre>
<div class="block">Get the robots rules for a given url</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/protocol/Protocol.html#getRobotRules-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-java.util.List-">getRobotRules</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol">Protocol</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - URL to check</dd>
<dd><code>datum</code> - page datum</dd>
<dd><code>robotsTxtContent</code> - container to store responses when fetching the robots.txt file for
          debugging or archival purposes. Instead of a robots.txt file, it
          may include redirects or an error page (404, etc.). Response
          <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol"><code>Content</code></a> is appended to the passed list. If null is passed
          nothing is stored.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>robot rules (specific for this URL or default), never null</dd>
</dl>
</li>
</ul>
<a name="getBufferSize--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getBufferSize</h4>
<pre>public&nbsp;int&nbsp;getBufferSize()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Ftp.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/nutch/protocol/ftp/Client.html" title="class in org.apache.nutch.protocol.ftp"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/nutch/protocol/ftp/FtpError.html" title="class in org.apache.nutch.protocol.ftp"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/protocol/ftp/Ftp.html" target="_top">Frames</a></li>
<li><a href="Ftp.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
